> For the complete documentation index, see [llms.txt](https://docs.botsfordiscord.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.botsfordiscord.com/methods/receiving-votes.md).

# Receiving Votes

## Receive Vote

<mark style="color:green;">`POST`</mark> `​https://your.webhook.com/discordswebhook`

We recomend you end your webhooks with `/discordswebhook`, although it's not required.

#### Headers

| Name          | Type   | Description                                                                        |
| ------------- | ------ | ---------------------------------------------------------------------------------- |
| Authorization | string | The plain text string used to verifiy that the request is coming from discords.com |

#### Request Body

| Name  | Type   | Description                                                                                                                                                      |
| ----- | ------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| user  | string | The ID of the user who voted                                                                                                                                     |
| bot   | string | The ID of the bot which recieved the vote                                                                                                                        |
| votes | string | Contains totalVotes, votesMonth, votes24, hasVoted - a list of IDs of users who have voted this month, and Voted24 - a list of IDs of users who have voted today |
| type  | string | The type of event, whether it is a vote event or test event                                                                                                      |

{% tabs %}
{% tab title="200 " %}

```
// No response is required but a simple OK would be nice
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.botsfordiscord.com/methods/receiving-votes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
